<?xml version="1.0" encoding="windows-1252"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/TR/WD-xsl">
  <xsl:template match="/">
    <HTML>
      <HEAD><STYLE>
          BODY {margin:0}
          .bg {font:8pt MS Sans Serif}
          .pre {font:8pt MS Sans Serif; display:inline}
          .header {font:bold 8pt MS Sans Serif; padding:2px; background-color:#C0C0C0}
          .err {font:8pt MS Sans Serif; color:#FF0000;}
          .warn {font:8pt MS Sans Serif; color:#940CA3;}
          .suc {font:8pt MS Sans Serif; color:#000000}
      </STYLE></HEAD>
      <BODY>
    <TABLE border="1" CELLSPACING="0" CELLPADDING="1" width="100%">
      <THEAD width="100%">
        <TD width="50" class="header">N</TD>
        <TD class="header">Test Name</TD>
        <TD class="header">Start Date</TD>
        <TD class="header">Start Time</TD>
        <TD class="header">End Date</TD>
        <TD class="header">End Time</TD>
        <TD class="header">Run Time</TD>
        <TD class="header">Computer</TD>
        <TD class="header">Description</TD>
        <TD class="header">Messages</TD>
      </THEAD>
      <xsl:for-each select="DataSet/RECORDS/Record">
        <TR>
          <xsl:for-each select="DataSetTypeTest">
            <xsl:if expr="this.nodeTypedValue == 0">
              <xsl:attribute name="class">suc</xsl:attribute>
            </xsl:if>
          </xsl:for-each>
          <xsl:for-each select="DataSetTypeTest">
            <xsl:if expr="this.nodeTypedValue == 1">
              <xsl:attribute name="class">err</xsl:attribute>
            </xsl:if>
          </xsl:for-each>
          <xsl:for-each select="DataSetTypeTest">
            <xsl:if expr="this.nodeTypedValue == 2">
              <xsl:attribute name="class">warn</xsl:attribute>
            </xsl:if>
          </xsl:for-each>
          <TD ALIGN="RIGHT"><xsl:for-each select="DataSetN"><PRE class="pre"><xsl:eval>getStr(this)</xsl:eval></PRE></xsl:for-each></TD>
          <TD><xsl:for-each select="DataSetMainProcedure"><PRE class="pre"><xsl:eval>getStr(this)</xsl:eval></PRE></xsl:for-each></TD>
          <TD><xsl:for-each select="DataSetStartDate"><PRE class="pre"><xsl:eval>getStr(this)</xsl:eval></PRE></xsl:for-each></TD>
          <TD><xsl:for-each select="DataSetStartTime"><PRE class="pre"><xsl:eval>getStr(this)</xsl:eval></PRE></xsl:for-each></TD>
          <TD><xsl:for-each select="DataSetEndDate"><PRE class="pre"><xsl:eval>getStr(this)</xsl:eval></PRE></xsl:for-each></TD>
          <TD><xsl:for-each select="DataSetEndTime"><PRE class="pre"><xsl:eval>getStr(this)</xsl:eval></PRE></xsl:for-each></TD>
          <TD><xsl:for-each select="DataSetRunTime"><PRE class="pre"><xsl:eval>getStr(this)</xsl:eval></PRE></xsl:for-each></TD>
          <TD><xsl:for-each select="DataSetComputer"><PRE class="pre"><xsl:eval>getStr(this)</xsl:eval></PRE></xsl:for-each></TD>
          <TD><xsl:for-each select="DataSetDescription"><PRE class="pre"><xsl:eval>getStr(this)</xsl:eval></PRE></xsl:for-each></TD>
          <TD ALIGN="CENTER"><xsl:for-each select="DataSetHREF"><A TARGET="SUB"><xsl:attribute name="HREF"><xsl:eval>getHref(this)</xsl:eval></xsl:attribute>Results</A></xsl:for-each></TD>
        </TR>
      </xsl:for-each>
    </TABLE>
      </BODY>
    </HTML>
  </xsl:template>
  <xsl:script><![CDATA[
    function getStr(elem){
      if (elem.nodeTypedValue == "") return " "
      else return elem.nodeTypedValue;
  }]]></xsl:script>
  <xsl:script><![CDATA[
    function getHref(elem){
      return elem.nodeTypedValue;
  }]]></xsl:script>
</xsl:stylesheet>
