<?xml version="1.0" encoding="windows-1252"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/TR/WD-xsl">
  <xsl:template match="/">
    <HTML>
      <HEAD>
        <STYLE>
          BODY {margin:0}
          .bg {font:8pt MS Sans Serif}
          .pre {font:8pt MS Sans Serif; display:inline}
          .header {font:bold 8pt MS Sans Serif; padding:2px; background-color:#C0C0C0}
          .test {font:8pt MS Sans Serif; color:#000000}
          .err {font:8pt MS Sans Serif; color:#FFFFF0; background-color:#FF0000}
          .wrn {font:8pt MS Sans Serif; color:#000000; background-color:#FFFF00}
          .msg {font:8pt MS Sans Serif; color:#0000FF; background-color:#FFFFF0}
          .evn {font:8pt MS Sans Serif; color:#000000; background-color:#FFFFFF}
          .img {font:8pt MS Sans Serif; color:#000000; background-color:#FFFFFF}
        </STYLE>
      </HEAD>
      <BODY>
        <TABLE cellspacing="10">
          <TR>
            <TD class="bg" width="120" valign="top">
              <DIV ALIGN="Right">N : </DIV>
              <DIV ALIGN="Right">Test Name : </DIV>
              <DIV ALIGN="Right">Start Date : </DIV>
              <DIV ALIGN="Right">Start Time : </DIV>
              <DIV ALIGN="Right">End Date : </DIV>
              <DIV ALIGN="Right">End Time : </DIV>
              <DIV ALIGN="Right">Run Time : </DIV>
              <DIV ALIGN="Right">Computer : </DIV>
              <DIV ALIGN="Right">Description : </DIV>
            </TD>
            <TD valign="top" class="test">
              <DIV>2</DIV>  
              <DIV>ExampleCompareWithIngore</DIV>
              <DIV>8/21/2001</DIV>
              <DIV>3:31:14 PM</DIV>
              <DIV>8/21/2001</DIV>
              <DIV>3:31:14 PM</DIV>
              <DIV>0:00:00</DIV>
              <DIV>HISMAIN</DIV>
              <DIV></DIV>
            </TD>
          </TR>
        </TABLE>
        <TABLE width="100%">
          <TR>
            <TD valign="top">
              <DIV id="listing">
              <TABLE border="1" CELLSPACING="0" CELLPADDING="1" width="100%">
                <THEAD width="100%">
                  <TD class="header">Type</TD>
                  <TD class="header">Message</TD>
                  <TD class="header">Expanded Message</TD>
                  <TD class="header">Time</TD>
                  <TD class="header">Priority</TD>
                  <TD class="header">Image</TD>
                  <TD class="header">Description</TD>
                </THEAD>
                <xsl:for-each select="DataSet/RECORDS/Record">
                  <TR valign="top"> 
                    <xsl:for-each select="DataSetHTMLStyle">
                    <xsl:attribute name="STYLE"><xsl:eval>getVal(this)</xsl:eval></xsl:attribute>    
                    </xsl:for-each>
                    <xsl:for-each select="DataSetTypeStr">
                    <TD ALIGN="Center">
                        <xsl:if expr="this.nodeTypedValue == 0">
                          <xsl:attribute name="class">msg</xsl:attribute>
                        </xsl:if>
                        <xsl:if expr="this.nodeTypedValue == 1">
                          <xsl:attribute name="class">wrn</xsl:attribute>
                        </xsl:if>
                        <xsl:if expr="this.nodeTypedValue == 2">
                          <xsl:attribute name="class">err</xsl:attribute>
                        </xsl:if>
                        <xsl:if expr="this.nodeTypedValue == 3">
                          <xsl:attribute name="class">evn</xsl:attribute>
                        </xsl:if>
                        <xsl:if expr="this.nodeTypedValue == 4">
                          <xsl:attribute name="class">img</xsl:attribute>
                        </xsl:if>
                        <xsl:if expr="this.nodeTypedValue == 5">
                          <xsl:attribute name="class">img</xsl:attribute>
                        </xsl:if>
                      <xsl:eval>getType(this)</xsl:eval>
                    </TD>
                    </xsl:for-each>
                    <TD><xsl:for-each select="DataSetStr"><PRE class="pre"><xsl:eval>getStr(this)</xsl:eval></PRE></xsl:for-each></TD>
                    <TD><xsl:for-each select="DataSetExStr"><PRE class="pre"><xsl:eval>getStr(this)</xsl:eval></PRE></xsl:for-each></TD>
                    <TD><xsl:value-of select="DataSetTime"/></TD>
                    <TD ALIGN="Center"><xsl:for-each select="DataSetPriority"><xsl:eval>getPriority(this)</xsl:eval></xsl:for-each></TD>
                    <TD ALIGN="Center"><xsl:for-each select="DataSetPicture"><A TARGET="IMAGE"><xsl:attribute name="HREF"><xsl:eval>getHREFPict(this)</xsl:eval></xsl:attribute><PRE class="pre"><xsl:eval>getStr(this)</xsl:eval></PRE></A></xsl:for-each></TD>
                    <TD><xsl:for-each select="DataSetDescription"><PRE class="pre"><xsl:eval>getStr(this)</xsl:eval></PRE></xsl:for-each></TD>
                  </TR>
                </xsl:for-each>
              </TABLE>
              </DIV>
            </TD>
          </TR>
        </TABLE>
        <TABLE border="0" CELLSPACING="10">
          <TR class="bg">
             <TD>Error: <xsl:eval>getError(this)</xsl:eval>;</TD>
             <TD>Warning: <xsl:eval>getWarning(this)</xsl:eval>;</TD>
             <TD>Message: <xsl:eval>getMessage(this)</xsl:eval>;</TD>
             <TD>Image: <xsl:eval>getImage(this)</xsl:eval>;</TD>
             <TD>Event: <xsl:eval>getEvent(this)</xsl:eval>.</TD>
          </TR>
        </TABLE>
      </BODY>
    </HTML>
  </xsl:template>
  <xsl:script><![CDATA[
    function getStr(elem){
      if (elem.nodeTypedValue == "") return " "
      else return elem.nodeTypedValue;
  }]]></xsl:script>
  <xsl:script><![CDATA[
    function getVal(elem){
      return elem.nodeTypedValue; 
  }]]></xsl:script>
  <xsl:script><![CDATA[
    function getType(elem){
      if (elem.nodeTypedValue == 0) return "Msg"
      else if (elem.nodeTypedValue == 1) return "Wrn"
      else if (elem.nodeTypedValue == 2) return "Err"
      else if (elem.nodeTypedValue == 3) return "Evn"
      else if (elem.nodeTypedValue == 4) return "BMP"
      else if (elem.nodeTypedValue == 5) return "JPG"
      else return ""
  }]]></xsl:script>
  <xsl:script><![CDATA[
    function getPriority(elem){
      if (elem.nodeTypedValue == 0) return "Lowest"
      else if (elem.nodeTypedValue == 1) return "Lower"
      else if (elem.nodeTypedValue == 2) return "Normal"
      else if (elem.nodeTypedValue == 3) return "Higher"
      else if (elem.nodeTypedValue == 4) return "Highest"
      else return elem.nodeTypedValue
  }]]></xsl:script>
  <xsl:script><![CDATA[
    function getHREFPict(elem){
      return elem.nodeTypedValue; 
  }]]></xsl:script>
  <xsl:script><![CDATA[
    function getError(node){
      total = 0;
      volumes = node.selectNodes("DataSet/RECORDS/Record/DataSetTypeStr");
      for (v = volumes.nextNode(); v; v = volumes.nextNode())
      { if (v.nodeTypedValue == '2')
        {total ++;} } return total;
  }]]></xsl:script>
  <xsl:script><![CDATA[
    function getMessage(node){
      total = 0;
      volumes = node.selectNodes("DataSet/RECORDS/Record/DataSetTypeStr");
      for (v = volumes.nextNode(); v; v = volumes.nextNode())
      { if (v.nodeTypedValue == '0')
        {total ++;} } return total;
  }]]></xsl:script>
  <xsl:script><![CDATA[
    function getImage(node){
      total = 0;
      volumes = node.selectNodes("DataSet/RECORDS/Record/DataSetTypeStr");
      for (v = volumes.nextNode(); v; v = volumes.nextNode())
      { if (v.nodeTypedValue == '4' || v.nodeTypedValue == '5')
        {total ++;} } return total;
  }]]></xsl:script>
  <xsl:script><![CDATA[
    function getWarning(node){
      total = 0;
      volumes = node.selectNodes("DataSet/RECORDS/Record/DataSetTypeStr");
      for (v = volumes.nextNode(); v; v = volumes.nextNode())
      { if (v.nodeTypedValue == '1')
        {total ++;} } return total;
  }]]></xsl:script>
  <xsl:script><![CDATA[
    function getEvent(node){
      total = 0;
      volumes = node.selectNodes("DataSet/RECORDS/Record/DataSetTypeStr");
      for (v = volumes.nextNode(); v; v = volumes.nextNode())
      { if (v.nodeTypedValue == '3')
        {total ++;} } return total;
  }]]></xsl:script>
</xsl:stylesheet>
